function following_inverse = following_rectangle_is_inverse(r1,o1,r2,o2)
%%%determines of the rectangle r1 with orientation o1 is followed by the
%%%rectangle r2 with orientation o2 cancels.

%%%First: Flip Rectangles so that they have the correct orientation.
if o1 == 1
    r1_temp = r1;
else
    r1_temp = rectangle_flip(r1);
end

if o2 == 1
    r2_temp = r2;
else
    r2_temp = rectangle_flip(r2);
end

following_inverse=false;

%%%%now: check if the rectnagles cancel

if r1_temp(1) == r2_temp(3) && -r1_temp(2)==r2_temp(4)
    %%%rectnagle is inverse!
    following_inverse=true;
end
end




%%%%%%%FLIP FUNCTION: Flips the orientation of a rectangle.
function r_flip = rectangle_flip(rectangle)
%%%Flips a rectangle
r_flip(1) = rectangle(3);
r_flip(2) = rectangle(4);
r_flip(3) = rectangle(1);
r_flip(4) = rectangle(2);
end